Subject: RFC: how to control device specific features. sysfs or mod param?

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Sat, 05 Dec 2009 01:55:55 -0800

This is a general question to folks to get some kind of consensus on
controlling device-specific modes.  Currently in ixgbe, I can have two
different modes of our Flow Director mechanism.  One is the current one
in use today, the other is part of a patchset for programming n-tuple
filters that will be submitted soon.

My question is I want to toggle the underlying hardware mode to use one
or the other filter mechanism.  I can either do this using a module
parameter, which I'd like to avoid, or I can do this in a sysfs
parameter.  What do people think is the best approach?  Is there another
option I'm not considering here?

Thanks,
-PJ Waskiewicz